Suppliers

Get Supplier

Get a supplier by ID or external ID.

GET
/api/v1/suppliers/{supplierId}

Get a supplier by ID or external ID. The supplierId parameter works with both internal and external IDs.

Authorization

AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

supplierId*string

The internal ID or external ID of the supplier

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/suppliers/string"
{  "success": true,  "supplier": {    "id": "string",    "teamId": "string",    "externalId": "string",    "name": "string",    "vatNumber": "string",    "peppolAddresses": [      "string"    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "labels": [      {        "colorHex": "#3B82F6",        "externalId": "erp-routing-inbox",        "id": "lbl_01JQZ8X0M4T7RB6K9V2NDHW3PA",        "name": "ERP"      }    ]  }}